Multiple vulnerabilities in Oracle Communications Element Manager



Published: 2020-04-21
Risk Medium
Patch available YES
Number of vulnerabilities 4
CVE-ID CVE-2019-10247
CVE-2019-10072
CVE-2019-0227
CVE-2019-10082
CWE-ID CWE-20
CWE-399
CWE-416
Exploitation vector Network
Public exploit Public exploit code for vulnerability #3 is available.
Vulnerable software
Subscribe
Oracle Communications Element Manager
Web applications / Other software

Vendor Oracle

Security Bulletin

This security bulletin contains information about 4 vulnerabilities.

1) Improper input validation

EUVDB-ID: #VU25067

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-10247

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote non-authenticated attacker to gain access to sensitive information.

The vulnerability exists due to improper input validation within the Integrator Acquistion System (Eclipse Jetty) component in Oracle Endeca Information Discovery Integrator. A remote non-authenticated attacker can exploit this vulnerability to gain access to sensitive information.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Element Manager: 8.0.0.0 - 8.2.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpuapr2020.html?534788

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Resource management error

EUVDB-ID: #VU20992

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-10072

CWE-ID: CWE-399 - Resource Management Errors

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to incomplete fix for SB2019020812 when processing HTTP/2 requests. A remote attacker can perform denial of service attack by not sending WINDOW_UPDATE messages for the connection window (stream 0).

Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Element Manager: 8.0.0.0 - 8.2.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpuapr2020.html?534788

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

3) Improper input validation

EUVDB-ID: #VU24468

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-0227

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: Yes

Description

The vulnerability allows a remote non-authenticated attacker to execute arbitrary code.

The vulnerability exists due to improper input validation within the Core (Apache Axis) component in Oracle Communications Design Studio. A remote non-authenticated attacker can exploit this vulnerability to execute arbitrary code.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Element Manager: 8.0.0.0 - 8.2.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpuapr2020.html?534788

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

4) Use-after-free

EUVDB-ID: #VU20386

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-10082

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform denial of service (DoS) attack.

The vulnerability exists due to a use-after-free error within the mod_http2 when handling connection shutdown. A remote attacker can send specially crafted requests to the affected server and make the mod_http2 to read memory that was already freed.


Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Element Manager: 8.0.0.0 - 8.2.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpuapr2020.html?534788

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###